> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.chainstack.com/feedback

```json
{
  "path": "/reference/chainstack-platform-api-faucet-sepolia",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Request Sepolia testnet ETH from the Chainstack faucet

> Request free Sepolia testnet ETH from the Chainstack faucet using the Platform API. POST to /v1/faucet/sepolia with the destination wallet address.



## OpenAPI

````yaml post /v1/faucet/sepolia
openapi: 3.0.3
info:
  x-logo:
    url: https://chainstack.com/assets/docs/api-docs-logo.svg
    backgroundColor: '#F5F8FC'
    altText: Chainstack
  title: 💙 CHAINSTACK PLATFORM API
  version: v1
  contact:
    name: API Support
    email: support@chainstack.com
  description: >
    A set of API endpoints to operate and manage the platform resources.<br>

    See also a [quick API
    tutorial](https://docs.chainstack.com/reference/quick-tutorial).
servers:
  - url: https://api.chainstack.com
    description: API endpoint
security: []
paths:
  /v1/faucet/sepolia:
    post:
      tags:
        - Faucet
      summary: Sepolia Faucet
      description: Request test tokens.
      operationId: sepoliaGoerli
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FaucetSepoliaRequest'
            examples:
              value:
                value:
                  address: '0x1111111111111111111111111111111111111111'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FaucetSepoliaResponse'
              examples:
                value:
                  value:
                    amountSent: 500000000000000000
                    transaction: >-
                      https://sepolia.etherscan.io/tx/0x1111111111111111111111111111111111111111111111111111111111111111
        '400':
          $ref: '#/components/responses/ValidationError'
        '429':
          $ref: '#/components/responses/TooManyRequestsError'
      security:
        - APIKeyAuthentication: []
components:
  schemas:
    FaucetSepoliaRequest:
      type: object
      properties:
        address:
          type: string
          description: Address to send tokens to.
    FaucetSepoliaResponse:
      type: object
      properties:
        amountSent:
          type: number
          description: Amount of tokens sent.
        transaction:
          type: string
          description: Transaction details URL.
  responses:
    ValidationError:
      description: Validation error.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    description: A string indicating the kind of error.
                  message:
                    type: string
                    description: A human-readable description of the error.
                  fields:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    description: Optional. Field-level validation errors.
    TooManyRequestsError:
      description: Validation error.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    description: A string indicating the kind of error.
                  message:
                    type: string
                    description: A human-readable description of the error.
              nextFaucetAvailable:
                type: string
                description: The date when tokens can be requested next time.
  securitySchemes:
    APIKeyAuthentication:
      type: http
      scheme: bearer
      description: >
        Chainstack API uses [API
        keys](https://docs.chainstack.com/reference/platform-api-getting-started)
        to authenticate requests. You can view and manage your API keys in the
        platform UI.

        Your API keys carry many privileges, so be sure to keep them secure!

        Provide your API key as the `Authorization` header. The value of the
        header consists of `Bearer` prefix and secret key generated through the
        platform UI.


        ```bash

        curl -X GET 'https://api.chainstack.com/v1/organization/' \

        --header 'Authorization: Bearer
        FX7CWlLg.FMpAO8cgCX2N7s41EncRru2nb5CmTZUt'

        ```


        All API requests must be made over HTTPS.

````